<?php 
/**
 * Plugin Name: Customise Translations (Matomo Plugin)
 * Plugin URI: http://plugins.matomo.org/CustomiseTranslations
 * Description: This plugin allows you to modify all translateable strings in Matomo
 * Author: Lukas Winkler
 * Author URI: https://lw1.at
 * Version: 1.0.1
 */
?><?php
/**
 * Piwik - free/libre analytics platform
 *
 * @link http://piwik.org
 * @license http://www.gnu.org/licenses/gpl-3.0.html GPL v3 or later
 */

namespace Piwik\Plugins\CustomiseTranslations;

 
if (defined( 'ABSPATH')
&& function_exists('add_action')) {
    $path = '/matomo/app/core/Plugin.php';
    if (defined('WP_PLUGIN_DIR') && WP_PLUGIN_DIR && file_exists(WP_PLUGIN_DIR . $path)) {
        require_once WP_PLUGIN_DIR . $path;
    } elseif (defined('WPMU_PLUGIN_DIR') && WPMU_PLUGIN_DIR && file_exists(WPMU_PLUGIN_DIR . $path)) {
        require_once WPMU_PLUGIN_DIR . $path;
    } else {
        return;
    }
    add_action('plugins_loaded', function () {
        if (function_exists('matomo_add_plugin')) {
            matomo_add_plugin(__DIR__, __FILE__, true);
        }
    });
}

class CustomiseTranslations extends \Piwik\Plugin
{
    public function registerEvents() {
        return array(
            'AssetManager.getStylesheetFiles' => 'getStylesheetFiles',
        );
    }

    public function getStylesheetFiles(&$files) {
        $files[] = "plugins/CustomiseTranslations/stylesheets/styles.less";
    }
}
